import { VuexModule } from "vuex-module-decorators";
import { Store } from "vuex";
export default class NotificationsConfigStore extends VuexModule {
    notificationsCount: number;
    notificationDuration: number;
    isShowConfig: boolean;
    isMuted: boolean;
    setNotificationCount(value: number): void;
    setNotificationDuration(value: number): void;
    setIsMuted(value: boolean): void;
    setIsShowConfig(value: boolean): void;
}
export declare function getNotificationsConfigStore(store: Store<any>): NotificationsConfigStore;
